output-surface-inspect

Operations of the Interactive Session API. Paths are relative to your deployment's API host.

POST /api/agent-session-api/sessions/{id}/output-surface-inspect/presence

Report output-surface-tab presence and bridge lifecycle (attach / heartbeat / detach / hello / unloading).

Authentication: bearer token (Authorization: Bearer <token>)

ParameterInTypeRequiredDescription
idpathstringyes

Request body: application/json ReportInspectPresenceDto

StatusDescriptionBody
400application/problem+json ProblemDetailsDto
401application/problem+json ProblemDetailsDto
403application/problem+json ProblemDetailsDto
404application/problem+json ProblemDetailsDto
409application/problem+json ProblemDetailsDto
422application/problem+json ProblemDetailsDto
500application/problem+json ProblemDetailsDto

POST /api/agent-session-api/sessions/{id}/output-surface-inspect/result

Relay an Output Surface Inspector step result from the output surface iframe back to the broker.

Authentication: bearer token (Authorization: Bearer <token>)

ParameterInTypeRequiredDescription
idpathstringyes

Request body: application/json ReportInspectResultDto

StatusDescriptionBody
400application/problem+json ProblemDetailsDto
401application/problem+json ProblemDetailsDto
403application/problem+json ProblemDetailsDto
404application/problem+json ProblemDetailsDto
409application/problem+json ProblemDetailsDto
422application/problem+json ProblemDetailsDto
500application/problem+json ProblemDetailsDto